Bug 1295138 - Review Request: marsshooter - M.A.R.S. - A ridiculous shooter
Review Request: marsshooter - M.A.R.S. - A ridiculous shooter
Status: CLOSED DUPLICATE of bug 1177942
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-02 13:47 EST by Hans de Goede
Modified: 2016-01-10 08:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-10 08:25:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2016-01-02 13:47:39 EST
Spec URL: https://fedorapeople.org/~jwrdegoede/marsshooter.spec
SRPM URL: https://fedorapeople.org/~jwrdegoede/marsshooter-0.7.5-1.git4fb920e.fc23.src.rpm
Description:
M.A.R.S. - a ridiculous shooter is a 2D space shooter with awesome visual
effects and attractive physics. Players can battle each other or computer
controlled enemies in exciting game modes. 

In the year 3547, civilizations all over the galaxy have settled their own
planets, living in peace and harmony with its environment. But outside the
contemplative habitats, the GREAT WAR is raging. As a famous fighter on
your way to never ending honor and prosperity, you have to protect your
planet from the oncoming doom of your jealous neighbours!

Fedora Account System Username: jwrdegoede
Comment 1 Antonio Trande 2016-01-02 16:37:12 EST
Fails on rawhide:

-- Detecting CXX compile features - done
CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
  Could NOT find OpenGL (missing: OPENGL_gl_LIBRARY OPENGL_INCLUDE_DIR)
Call Stack (most recent call first):
  /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/cmake/Modules/FindOpenGL.cmake:168 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  CMakeLists.txt:31 (find_package)
-- Configuring incomplete, errors occurred!
See also "/builddir/build/BUILD/M.A.R.S.-4fb920e97d350a8777e06ce28c1657ad3a3fa3fb/CMakeFiles/CMakeOutput.log".
error: Bad exit status from /var/tmp/rpm-tmp.hiqXyN (%build)
    Bad exit status from /var/tmp/rpm-tmp.hiqXyN (%build)
RPM build errors:
Comment 2 Hans de Goede 2016-01-03 06:07:01 EST
My bad, sorry.

I was planning to run the pkg through mock to get the BuildRequires right, but at the end of a long day I forgot and submitted it without proper BuildRequires.

Here is a new version with this fixed:

Spec URL: https://fedorapeople.org/~jwrdegoede/marsshooter.spec
SRPM URL: https://fedorapeople.org/~jwrdegoede/marsshooter-0.7.5-2.git4fb920e.fc23.src.rpm

Regards,

Hans
Comment 3 Antonio Trande 2016-01-03 09:09:03 EST
I have just seen that this package is already in Fedora: https://admin.fedoraproject.org/pkgdb/package/rpms/marsshooter/
Comment 4 Hans de Goede 2016-01-10 08:25:57 EST
(In reply to Antonio Trande from comment #3)
> I have just seen that this package is already in Fedora:
> https://admin.fedoraproject.org/pkgdb/package/rpms/marsshooter/

Ah, oops, sorry about that. That one seems based on an old version though, which contains some non free files. I'll contact the current packager and prepare an update to my version which has all the non free resources replaced. In the mean time lets mark this one as a duplicate of the original review-req.

*** This bug has been marked as a duplicate of bug 1177942 ***
Comment 5 Antonio Trande 2016-01-10 08:33:59 EST
(In reply to Hans de Goede from comment #4)
> (In reply to Antonio Trande from comment #3)
> > I have just seen that this package is already in Fedora:
> > https://admin.fedoraproject.org/pkgdb/package/rpms/marsshooter/
> 
> Ah, oops, sorry about that. That one seems based on an old version though,
> which contains some non free files.

I'm really sorry; I myself reviewed M.A.R.S. on Fedora and I haven't seen non-free fonts

> I'll contact the current packager and
> prepare an update to my version which has all the non free resources
> replaced. In the mean time lets mark this one as a duplicate of the original
> review-req.

Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.